.btn a {
    background-color: rgba(255, 255, 255, 0.15) !important;
    backdrop-filter: blur(3px);
    color: var(--c-negro) !important;
    border: 1px solid var(--c-negro);
    font-family: var(--f-primaria);
    font-size: 1rem;
    font-weight: 200 !important;
    text-decoration: none;
    text-transform: uppercase;
    padding: 10px 20px;
    border-radius: 0;
    display: inline-block;
    transition: all 0.4s;
    position: relative;
    z-index: 0;
    overflow: hidden;

    &::after {
        content: '';
        background: var(--c-negro);
        position: absolute;
        left: 0;
        top: 0;
        bottom: 0;
        margin: auto;
        width: 0;
        height: 100%;
        border-radius: 0;
        z-index: -1;
        transition: all 0.4s ease;
    }

    &:hover {
        color: var(--c-blanco) !important;

        &::after {
            width: 100%;
        }
    }
}

.btn-blanco a {
    background-color: rgba(255, 255, 255, 0.15) !important;
    backdrop-filter: blur(3px);
    color: var(--c-blanco);
    border: 1px solid var(--c-blanco);
    font-family: var(--f-primaria);
    font-size: 1rem;
    font-weight: 200 !important;
    text-decoration: none;
    text-transform: uppercase;
    padding: 10px 20px;
    border-radius: 0;
    display: inline-block;
    transition: all 0.4s;
    position: relative;
    z-index: 0;
    overflow: hidden;

    &::after {
        content: '';
        background: var(--c-blanco);
        position: absolute;
        left: 0;
        top: 0;
        bottom: 0;
        margin: auto;
        width: 0;
        height: 100%;
        border-radius: 0;
        z-index: -1;
        transition: all 0.4s ease;
    }

    &:hover {
        color: var(--c-negro);

        &::after {
            width: 100%;
        }
    }
}